Uploaded image for project: 'Airavata'
  1. Airavata
  2. AIRAVATA-3305

pip install failed in python 3.7

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None
    • Environment:
      macOS: 10.14.6
      Python: 3.7
      Branch: master

      Description

      The headers or library files could not be found for zlib,
      a required dependency when compiling Pillow from source.

      Please see the install instructions at:
      https://pillow.readthedocs.io/en/latest/installation.html

      Traceback (most recent call last):
      File "/private/var/folders/vy/7dsn2kqd4p170xydp_qb_4xr0000gn/T/pip-install-nihgynjw/Pillow/setup.py", line 787, in <module>
      zip_safe=not (debug_build() or PLATFORM_MINGW), )
      File "/Users/lsf/Documents/dinuka/repo/airavata-django-portal/venv/lib/python3.7/site-packages/setuptools/_init_.py", line 144, in setup
      return distutils.core.setup(**attrs)
      File "/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python3.7/distutils/core.py", line 148, in setup
      dist.run_commands()
      File "/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python3.7/distutils/dist.py", line 966, in run_commands
      self.run_command(cmd)
      File "/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python3.7/distutils/dist.py", line 985, in run_command
      cmd_obj.run()
      File "/Users/lsf/Documents/dinuka/repo/airavata-django-portal/venv/lib/python3.7/site-packages/setuptools/command/install.py", line 61, in run
      return orig.install.run(self)
      File "/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python3.7/distutils/command/install.py", line 545, in run
      self.run_command('build')
      File "/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python3.7/distutils/cmd.py", line 313, in run_command
      self.distribution.run_command(command)
      File "/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python3.7/distutils/dist.py", line 985, in run_command
      cmd_obj.run()
      File "/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python3.7/distutils/command/build.py", line 135, in run
      self.run_command(cmd_name)
      File "/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python3.7/distutils/cmd.py", line 313, in run_command
      self.distribution.run_command(command)
      File "/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python3.7/distutils/dist.py", line 985, in run_command
      cmd_obj.run()
      File "/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python3.7/distutils/command/build_ext.py", line 340, in run
      self.build_extensions()
      File "/private/var/folders/vy/7dsn2kqd4p170xydp_qb_4xr0000gn/T/pip-install-nihgynjw/Pillow/setup.py", line 577, in build_extensions
      raise RequiredDependencyException(f)
      _main_.RequiredDependencyException: zlib

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/private/var/folders/vy/7dsn2kqd4p170xydp_qb_4xr0000gn/T/pip-install-nihgynjw/Pillow/setup.py", line 799, in <module>
      raise RequiredDependencyException(msg)
      _main_.RequiredDependencyException:

      The headers or library files could not be found for zlib,
      a required dependency when compiling Pillow from source.

      Please see the install instructions at:
      https://pillow.readthedocs.io/en/latest/installation.html

      ----------------------------------------
      Rolling back uninstall of Pillow
      Moving to /Users/lsf/Documents/dinuka/repo/airavata-django-portal/venv/lib/python3.7/site-packages/PIL/
      from /Users/lsf/Documents/dinuka/repo/airavata-django-portal/venv/lib/python3.7/site-packages/~IL
      Moving to /Users/lsf/Documents/dinuka/repo/airavata-django-portal/venv/lib/python3.7/site-packages/Pillow-6.2.2.dist-info/
      from /Users/lsf/Documents/dinuka/repo/airavata-django-portal/venv/lib/python3.7/site-packages/~illow-6.2.2.dist-info
      ERROR: Command errored out with exit status 1: /Users/lsf/Documents/dinuka/repo/airavata-django-portal/venv/bin/python -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/private/var/folders/vy/7dsn2kqd4p170xydp_qb_4xr0000gn/T/pip-install-nihgynjw/Pillow/setup.py'"'"'; _file='"'"'/private/var/folders/vy/7dsn2kqd4p170xydp_qb_4xr0000gn/T/pip-install-nihgynjw/Pillow/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(file);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file_, '"'"'exec'"'"'))' install --record /private/var/folders/vy/7dsn2kqd4p170xydp_qb_4xr0000gn/T/pip-record-briwpxkm/install-record.txt --single-version-externally-managed --compile --install-headers /Users/lsf/Documents/dinuka/repo/airavata-django-portal/venv/include/site/python3.7/Pillow Check the logs for full command output.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              dinukadesilva Dinuka De Silva
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated: